## 什么是影调

&emsp;影调是照片的基调，是通过处理照片的明暗关系层级来塑造型，表达情感。因此，影调就是处理照片的黑白灰关系，因此影调与色调不一样，二者不可以混为一谈。

## 影调的作用

* 影调是调色的基础
* 明确前期的拍摄方向

## 十大影调

&emsp;与影调相关的一共有两个因素；从像素集中分布的区域，也就是照片的明度方面分为**高调**、**中间调**、**低调**；从像素分布的区域范围分为**长跨度**、**中跨度**、**短跨度**。以上各类排列组合再加上像素分布均匀，明度在各个区域平均的**全长调**，一共有十种影调。

| 明度\像素跨度 | 长跨度 | 中跨度 | 短跨度 |
| :-----------: | :----: | :----: | :----: |
|     高调      | 长高调 | 中高调 | 短高调 |
|    中间调     | 长中调 | 中中调 | 短中调 |
|     低调      | 长低调 | 中低调 | 短低调 |

## 高调

### 高长调

&emsp;像素集中分布在**亮部区域**，像素跨度**长**；照片呈现的明暗分隔明显，画面以白色或者浅色为主，中间调过渡少，直方图中为典型的U型直方图。

**[PIC]直方图（高长调）+样片**

### 高中调

&emsp;像素集中分布在**亮部区域**，像素跨度**较短**；相对长高调更加柔和，直方图中像素信息从右到左逐渐减少。

**[PIC]直方图（高中调）+样片**

### 高短调

&emsp;像素集中分布在**亮部区域**，像素跨度**最短**；画面以白色或浅色为主，画面纯洁。

**[PIC]直方图（高短调）+样片**

## 中间调

### 中长调

&emsp;像素集中分布在**中间调**，像素跨度**长**；画面中像素信息跨度大，层次感强，整体比较柔和。

**[PIC]直方图（中长调）+样片**

### 中中调

&emsp;像素集中分布在**中间调**，像素跨度**较短**；画面明暗对比较弱，画面柔和，对比适中，常用于人像摄影。

**[PIC]直方图（中中调）+样片**

### 中短调

&emsp;&emsp;像素集中分布在**中间调**，像素跨度**最短**；画面整体显得平和，安静。

**[PIC]直方图（中短调）+样片**

## 低调

### 低长调

&emsp;像素集中分布在**低调**，像素跨度**长**；画面中白色较少黑色较多，整体明度低。

**[PIC]直方图（底长调）+样片**

### 低中调

&emsp;像素集中分布在**低调**，像素跨度**较短**；画面整体给人一种深沉，神秘感。

**[PIC]直方图（低中调）+样片**

### 低短调

&emsp;像素集中分布在**低调**，像素跨度**最短**；相较于低中调更有一种神秘感。

**[PIC]直方图（低短调）+样片**

## 全长调

&emsp;像素在各个区间均有分布，像素跨度长；画面整体明暗对比部强烈，明暗细节均有保留，画面最为平均。

**[PIC]直方图（全长调）+样片**