# 程序流程结构

C/C++支持的最基本三种程序运行结构：**顺序结构、选择结构、循环结构**。

## 选择结构

### if语句

**作用**：执行满足条件的语句。

**示例**

```C++
int main(){
	int a = 100;
    if (a > 50){
		cout << "a > 50!" << endl;
    }
    else (a < 50){
		cout << "a < 50!" << endl;
    }
    else{
		cout << "a = 50!" << endl;
    }
    
    system("pause");
    return 0;
}
```

### Switch选择语句

**作用**：执行多条件分支语句

**语法**:

```c++
siwtch (表达式){
    case 结果1:
    	执行语句;
    break;
    case 结果2:
    	执行语句;
    break; 
    
    ...
        
    defaule:
    	执行语句;
    break;
}
```



### 三目运算符

**作用**：通过三目运算符实现简单的判断。

**语法**：`表达式1 ? 表达式2 :  表达式3`

**解释**：

判断表达式1的真值：

* 表达式1的值为**真**，则执行并返回**表达式2**.
* 表达式1的值为**假**，则执行并返回**表达式3**.

**示例**：

```c++
int main(){
	int a = 10;
    int b = 20;
    int c = 30;
    c = a > b ? a : b;
    cout << "c = " << a << endl;
    
    system("pause");
    return 0;
}
```

## 循环结构

### while循环语句

**作用**：满足循环条件，重复执行循环语句。

**语法**：`while (循环条件) { 循环语句 }`


### do while循环语句

**作用**：先执行一遍循环体，再判断是否满足循环条件。

**语法**：`do { 循环语句 } while (循环条件);`

### for循环语句

**作用**：满足循环条件，重复执行循环语句。

**语法**：`for (起始表达式 ; 条件表达式 ; 末尾循环体) { 循环语句 }；`

# 跳转语句

### break语句

**作用**：用于跳出**选择结构**或者**循环结构**。

### continue语句

**作用**：在循环语句中，跳过本次循环。

### goto语句

**作用**：无条件跳转语句。

**语法**：`goto 标记;`

**示例**：

```c++
int main (){
	cout << "1" << endl;
    
    goto FLAG;
    
    cout << "2" << endl;
    cout << "3" << endl;
    cout << "4" << endl;
    
    FLAG;
    cout << "5" << endl;
    
    system ("pause");
    return 0;
}
```

