## 运算符

**作用**：用于执行代码运算。

C++中的运算符分类：

| 运算符类型 | 作用                                   |
| ---------- | -------------------------------------- |
| 算数运算符 | 用于处理四则运算                       |
| 赋值运算符 | 用于将表达式的值赋值给变量             |
| 比较运算符 | 用于表达式的比较，返回一个真值或者假值 |
| 逻辑运算符 | 用于根据表达式的值返回真值或者假值     |

## 算数运算符

| 运算符 | 术语               |
| ------ | ------------------ |
| +      | 正号、加           |
| -      | 负号、减           |
| *      | 乘                 |
| /      | 除                 |
| %      | 取模（取余）       |
| ++     | 前置递增、后置递增 |
| --     | 前置递减、后置递减 |

## 赋值运算符

| 运算符 | 术语   |
| ------ | ------ |
| =      | 赋值   |
| +=     | 加等于 |
| -=     | 减等于 |
| *=     | 乘等于 |
| /=     | 除等于 |
| %=     | 模等于 |

## 比较运算符

| 运算符 | 术语     |
| ------ | -------- |
| ==     | 恒等于   |
| !=     | 不等于   |
| <      | 小于     |
| >      | 大于     |
| <=     | 小于等于 |
| >=     | 大于等于 |

## 逻辑运算符

| 运算符 | 术语 |
| ------ | ---- |
| !      | 非   |
| &&     | 与   |
| \|\|   | 或   |

### 逻辑非

* 输入与输出永远相反

| 输入 | 输出 |
| :--: | :--: |
|  1   |  0   |
|  0   |  1   |

### 逻辑与

* 输入有一个为0，则输出为0

| 输入 | 输出 |
| :--: | :--: |
| 1，1 |  1   |
| 1，0 |  0   |
| 0，1 |  0   |
| 0，0 |  0   |

### 逻辑或

* 输入有一个1，则输出为1

| 输入 | 输出 |
| :--: | :--: |
| 1，0 |  1   |
| 0，1 |  1   |
| 1，1 |  1   |
| 0，0 |  0   |

