# Linux如何挂载外部存储器

## 临时挂载

如果临时挂载硬盘，则可以使用如下方法在本次开机状态下临时挂载到指定目录下。

### 查看已连接存储器信息

```
sudo fdisk -l
```

### 挂载到指定目录下

* 选择 `#!linux /dev/sda4` 磁盘

* 挂载至：`#!linux home/data` 目录下

```
sudo mount /dev/sda4 /home/data
```

## 永久挂载

如果需要永久挂载硬盘则需要获取对应的UUID号。

### 获取UUID号

```
ls -l /dev/disk/by-uuid
```

系统会列出各个设备的UUID号，一般形如：EC629B7B629B48EA

### 挂载存储器

在 `#!linux /etc/fstab` 文件中加入如下内容即可：

```
/dev/disk/by-uuid/EC629B7B629B48EA
```

## 卸载挂载点

使用如下指令，例如磁盘挂载点为 `#!linux /my_disk`：

```
umont /my_disk
```