# Python For循环

for 循环用于**迭代序列**（即列表，元组，字典，集合或字符串）

这与其它编程语言中的 for 关键字不太相似，而是更像其它面向对象编程中的迭代器方法。

通过使用 for 循环，我们可以为列表、元组、集合中的每一个项目等执行一组语句。

<hr>

## [例程]

&emsp;打印 fruits 列表中的每一种水果：

``` python linenums="1"

fruits = ["apple", "banana", "cherry"]

for x in fruits:
    print (x)

```

> python 中的 For 循环 不需要预先设置**索引变量**。

## 循环遍历字符串

&emsp;在Python中甚至连字符串都是可迭代的对象，它们包含一系列的字符：

**[例程]**

``` python linenums="1"

for x in "banana":
    print(x)

```

## Break 语句

&emsp;通过使用**break**，当x是banana的时候则退出循环：

``` python linenums="1" 

fruits = ["apple", "banana", "cherry"]

for x in fruits:
    print(x)
    if x == "banana":
        break

```

## Continue 语句

&emsp;与 break 语句不同的是，该语句不是结束整个循环，而是结束当前一次的循环，继续下一个循环。

**[例程]**

不打印Banana：

``` python linenums="1" 

fruits = ["apple", "banana", "cherry"]

for x in fruits:
    if x == "banana":
        continue
    print(x)

```

## range() 函数

&emsp;如果需要当前循环执行指定次数，则可使用range()函数；range()函数默认情况下从0开始，步进值为1，并以指定的数字结束。

``` python linenums="1" 

for x in range(10):
    print(x)

```

> range(10) 并不是 0 到 10 的值，而是 0 到 9

> range() 可以通过添加参数来指定起始值：range(3, 10)——指定起始值为 3 结束值为 10（不包括10）

> range() 可以通过添加第三个参数来指定步进值：range(3, 10 ,2)——此时步进值为 3

## For 循环中的 Else

&emsp;for 循环中的 else 关键字可以指定循环结束的时候需要执行的代码块：

``` python linenums="1"

for x in range(10):
    print(x)
else:
    print("Finally finished!")


```

## Pass 语句

&emsp; 在Python中，for语句不能为空，但是程序中一旦出现了无内容的for语句需要增加pass语句来避免错误，

``` python linenums="1"

for x in [0,1,2]
    pass

```