# P I D

## 什么是PID

开环控制（Open Loop）：

通过计算对于事物做出预测，但是现实中往往有很多的不确定性因素，因此开环控制的计算精度不论多高都无法解决开环控制受不确定因素影响造成的误差

闭环控制（Close Loop）：

通过计算返回的参数和设定参数来进行控制，PID控制就是一种常见的闭环控制

PID中文名为：比例（P）积分（I）微分（D）控制

## P：Proportional 比例

测量无人机当前位置与目标位置距离的并通过比例运算进行修正

其中P的作用方式等同于弹簧，距离平衡位置越远，回复力就越强

其中P的值越大，就会导致回复速度越快，相当于弹簧越硬，同时震动的频率也会越高

## D：Differential 微分

通过微分的方式可以计算出飞机的速度，来进行控制；其中D的值越大物体运动的阻力就越大，阻力与物体运动的方向相反

其中D的值越大就会致使无人机的控制变得迟钝

## P与D的比例

在一个PID控制系统中最需要调整的即使P和D两个参数，这两个参数控制了合适的回复速度和回复阻力，即调整PD的比例就是调整一个合适的弹簧和缓冲液

在一个质量较小并且动力充足的飞机中，P与D的选择空间很大，可以同时兼顾控制速度和控制精度。但是在一些大型的飞机中就需要要一些取舍。若想获得更高的反应速度就需要增大P，如果想要提高飞机的稳定性就需要增大D

对于竞速飞手来说，飞机的相应速度往往是最重要的，同时飞手对于飞机的过冲会有预判，因此此时较小的D值对于飞手的影响较小

而对于航拍来说，飞机的流畅即是最重要的，相应速度便不那么重要，此时可以适当调高D值

## I：Integral 积分

I的作用是修正稳定误差，在飞机受到稳定的外界干扰或者存在系统误差的情况下，I值才会发挥作用

其中积分运算可以实时统计飞机与目标的误差，并且产生一个力来抵消误差，而I的值越大飞机就会越快的调整到目标位置

### 总结

飞机的PID三个参数分别代表了飞机的过去、现在、将来

P：告知飞机当前的位置

I：统计误差、了解过去

D：计算速度、预测未来