# Golang 基本语法

## 1. 控制台输出文本

```golang linenums="1"
// 声明文件所在的包
// 每个 go 的文件必须有一个归属的包
package main

// 引入程序中需要用的包
import "fmt"

// 主函数 - 程序的入口
func main() {
	fmt.Println("hello world")
}
```

## 2. 编译 Go 源文件

```shell
go build <file_name>
```

通过此 shell 命令可以将指定的 Go 文件编译成可执行文件。

## 3. go run 编译并执行源文件

通过 `go run` 可以编译并直接执行源文件

```shell
go run <file_name>
```

## 4. Go 注意事项

- Go 的源文件以 `go` 为拓展名。
- 程序的执行入口是 `main()` 函数。
- Go 严格区分大小写。
- Go 中一条语句末尾无需加 `;` 结尾（Go 语言会在每行后自动增加分号）
- Go 的编译器是一行一行进行编译的，因此一行仅能写一条语句，不能把多条语句写在同一行，否则会报错。
- 如果定义的变量或者 `import` 没有使用到，则代码不能通过编译。
- Go 的 `{` 不可以放在单独的一行中，否则会报错。