# 变量

## 1. 定义变量

> Golang 声明变量可以使用 `var` 关键字

```golang linenums="1"
// 先赋值后声明
var age int

age = 18

// 赋值和声明同一句
var age int = 18
```

> Golang 的变量声明也可省略 `var` 关键字：

```golang linenums="1"
age := 18

str := "hello world"
```

## 2. 一次声明多个变量

```golang linenums="1"
var num_1, num_2, num_3 int
num_1 = 10
num_2 = 20
num_3 = 30
fmt.Println(num_1, num_2, num_3)
```

## 3. 全局变量

> Go 可以使用传统的方法声明全局变量

```golang linenums="1"
package main

import "fmt"

var a = 1
var b = 2

func main() {
	fmt.Println(a)
	fmt.Println(b)
}
```

> 也可以使用这种简洁的办法声明全局变量

```golang linenums="1"
package main

import "fmt"

// 全局变量声明
var (
	a = 1
	b = 2
)

func main() {
	fmt.Println(a)
	fmt.Println(b)
}
```