# Java 简介

> MAShiroSystem 下的 Java 内容引用自如下地址：[JavaPark | Java 自学指南](https://github.com/cunyu1943/JavaPark/)

## Java 历史

---

&emsp; 1990 年代初，Sun 公司的詹姆斯·高斯林等人为了实现电视机、电话、闹钟等家用电器的控制和通信，开发了一套用于设置在家用电器等小型系统中的编程语言。在当时，这门语言被命名为 Oka。但由于市场需求不高，所以该计划被逐渐放弃。

&emsp; 随着 1990 年代互联网的发展，Sun 公司发现 Oka 语言在互联网中的应用前景广泛。于是决定对 Oka 进行改造，并在 1995 年 5 月以 Java 的名义正式发布。

&emsp; 随着互联网的迅猛发展，Java 也得以逐渐成为重要的网络编程语言，詹姆斯·高斯林也被大家公认为 Java 之父。

&emsp; 到了 2009 年， Sun 公司被 Oracle 公司所收购，自此 Java 成为 Oracle 公司的一大产品直至今日。

&emsp; Java 累计经过了 18 次主要版本更新，目前来到了 Java SE 18。而 Java SE 19 早期预览版也已经流出，根据官方给出的发布时间表，大概会在 9 月份发布 Java SE 19 的 GA 版本。不过虽然 Java 已经经历了这么多版本的更新，但国内目前用的最多的应该还是 Java 1.8 版本。而出于对稳定性的考虑，企业开发更喜欢 LTS 版本，这也是为什么至今 Java 1.8 还占有如此高的市场比例。

## 为什么选用 Java

---

Java 被全世界各地程序员广泛使用的原因主要有以下几点：

1. 世界范围内流行，国内使用最为广泛的编程语言之一。

2. 移植性高，由于 Java 中 JVM 的特性，所以能够做到一次编译，随处运行，其移植性也就更高。

3. 开发社区完善，社区完善也是 Java 为什么使用多的原因，各种封装 API，比起 C、C++ 语言使用起来更加方便。虽然 Python 的封装程度更高，但是其效率比起 Java 却打了折扣。毕竟封装程度和效率是成反比的，Java 兼具了效率高和使用方便的特点，所以更受人们青睐。

## Java 能做什么

Java 在各领域的运用十分广泛，包括但不限于：

* 桌面 GUI 应用开发
* 服务器系统
* 企业级应用开发
* 大数据开发
* 移动应用开发
* 游戏开发

## Java 技术体系

---

&emsp;根据传统意义上 Sun 官方定义， Java 技术体系的组成主要就是我们常说的 JDK，即以下三部分：

* Java 程序设计语言
* Java 虚拟机
* Java API 类库

同时，Java 技术体系又可以主要分为以下 3 个平台。

* Java SE

&emsp;Java Standard Edition，即 Java 标准版。主要是 Java 技术的核心和基础，要想学好 Java，那么首先你得掌握好这部分。主要运行在桌面级应用，如 Windows 应用程序。

* Java EE

&emsp;Java Enterprise Editon，即 Java 企业版。从它的名字就不难看出，这是 Java 针对企业级应用开发所提供的一套解决方案，主要用于架设高性能企业网站。

* Java ME

&emsp;Java Micro Edition，即 Java 小型版。主要是 Java 针对移动设备应用所提供的一套解决方案，主要运行在手机、pad 等移动端。
