# SQL 基础

## 数据库介绍

---

&emsp;数据库就是存储数据的仓库，其本质是一个文件系统，按照特定的格式将数据存储起来，用户可以对数据库中的数据进行增加，修改，删除及查询操作。

&emsp;随着互联网的高速发展，大量的数据在不断的产生，伴随而来的是如何高效安全的存储数据和处理数据，而这一问题成为了信息时代的一个非常大的问题，而使用数据库可以高效的有条理的储存数据。

## 数据库的分类

---

数据库分为**关系型数据库**和**非关系型数据库**。

### 关系型数据库

---

&emsp;关系型数据库：指采用了关系模型来组织数据的数据库。

&emsp;关系模型指的就是二维表格模型，而一个关系型数据库就是由二维表及其之间的联系所组成的一个数据组织。

&emsp;我们可以简单的将关系型数据库理解为**Excl 表格**。

![](https://mass-1300421481.cos.ap-nanjing.myqcloud.com/imgs/202404222022318.png)

### 非关系型数据库

---

&emsp;非关系型数据库: 又被称为NoSQL（Not Only SQL ), 意为不仅仅是SQL, 对NoSQL 最普遍的定义是“非关联型的”，强调 Key-Value 的方式存储数据。

&emsp;Key-Value结构存储: Key-value数据库是一种以键值对存储数据的一种数据库, 类似Java中的map。可以将整个数据库理解为一个大的map, 每个键都会对应一个唯一的值。

&emsp;关系型和非关系型数据库区别？

&emsp;关系型：通过二维表维持数据关系（有行有列），大部分存储在硬盘，查询速度上关系型要慢一些，相对而言，安全性更高。

&emsp;非关系型：通过key:value键值对维持数据关系，大部分存储在内存，查询速度上要相对于关系型数据库更快一些，安全系数相对关系型而言不高。

## SQL

---

SQL(Structured Query Language) 是一种用来操作关系型数据库的语言。

根据功能的不同 SQL 语言主要分为一下几种:

* DDL   数据定义语言    Data Definition Language
* DML   数据操作语言    Data Manipulation Language
* DQL   数据查询语言    Data Query Language
* DCL   数据控制语言    Data Control Language