# 创建数据库

## 查询已存在的数据库

---

首先在连接到 MySQL 数据库后, 使用 `show databases;` 查询当前已经存在的数据库。

```
mysql> show databases;
+--------------------+
| Database           |
+--------------------+
| information_schema |
| mysql              |
| performance_schema |
| sys                |
+--------------------+
4 rows in set (0.00 sec)
```

## 创建数据库

---

使用 `create database template;` 创建一个名为 *template* 的数据库。

```
mysql> create database template;
Query OK, 1 row affected (0.01 sec)
```

此时再使用查询命令查询已存在的数据库。

```
mysql> show databases;
+--------------------+
| Database           |
+--------------------+
| information_schema |
| mysql              |
| performance_schema |
| sys                |
| template           |
+--------------------+
5 rows in set (0.00 sec)
```

## 删除数据库

---

使用 `drop database template;` 删除名为 *template* 的数据库。

```
mysql> drop database template;
Query OK, 0 rows affected (0.01 sec)
```

此时再使用查询命令查询已存在的数据库。

```
mysql> show databases;
+--------------------+
| Database           |
+--------------------+
| information_schema |
| mysql              |
| performance_schema |
| sys                |
+--------------------+
4 rows in set (0.00 sec)
```