# 启动新窗口

## 启动新窗口

---

!!! note ""

    参考工程中 `main.cpp` 文件的代码, 启动窗口可大致分为以下步骤:

    `实例化窗口对象` -> `调用 show() 方法`

    因此, 在需要调用其它窗口的地方调用目标窗口对象的 `show()` 方法即可。

    > 在调用需要使用的窗口前需要包含对应窗口的**头文件**

!!! note "实例化目标窗口对象"

    在调用目标窗口前需要实例化一个窗口对象, 但是值得注意的是这个窗口对象应该是一个创建在**堆空间**的对象。

    `<目标类名> *target_window = new <目标类名>();`

    调用对应的 `show()` 方法即可显示窗口。

``` c++
// 实例化目标窗口对象
cheat *target_window = new cheat();
// 调用 show() 方法显示窗口
target_window->show();
```

## 隐藏窗口

---

!!! note ""

    若想隐藏指定的窗口, 窗口类下有 `hide()` 方法用于隐藏窗口。

    例如隐藏当前窗口: `this->hide();`