# 常用半导体器件

## 1. 基础知识

### 1.1 半导体

半导体是一种介于导体和绝缘体之间的材料。

### 1.2 本征半导体

本征半导体是一种具晶体结构的、纯净的半导体。

#### 1.2.3 本征半导体的晶体结构

### 1.3 载流子

#### 1.3.1 本征激发

#### 1.3.2 自由电子

#### 1.3.3 空穴

#### 1.3.4 复合

### 1.3.5 载流子的浓度

### 1.4 杂质半导体

通过向纯净的本征半导体中掺入少量杂志元素，从而改变其性能。

## 2. PN 结

### 2.1 Negative 型半导体

在纯净的本征半导体中掺入少量的磷（P）元素。

磷是五价元素，其部分取代了本征半导体中原有的硅元素的位置使用了四个电子用于形成共价键，从而导致多出一个自由电子成为载流子。

在 N 型半导体中，自由电子是多数载流子，简称`多子`，而空穴是`少子`。

由于 N 型半导体中，自由电子是多子，而自由电子是带负电的，因此称之为：`Negative 半导体`

> N 型半导体的重要特性

- N 型半导体中温度对多子（自由电子）数目的影响很小。
- N 型半导体中温度对少子（空穴）的影响非常敏感。

半导体中，温度对空穴和自由电子的影响基本是同步的，但是基数不同导致了实际的结果不同。

因此，在半导体器件中如果其工作原理与少子有关，则该半导体器件受温度影响显著，反之亦然。

### 2.2 Positive 型半导体

而 P 型半导体是由纯净的本征半导体中掺入少量的硼（B）元素。

硼是三价元素，其部分取代本征半导体中硅元素的位置后，便会空出一个位置，从而向 P 型半导体中贡献了空穴作为载流子。

P 型半导体的多数载流子与 N 型相反是空穴。

### 2.3 PN 结

#### 2.3.1 扩散运动

在浓度梯度的影响下，PN 结中空穴和自由电子会从浓度高的地方流入浓度低的地方；N 区的自由电子会向 P 区扩散，P 区的空穴会像 N 区扩散。

#### 2.3.2 空间电荷区

空间电荷区也叫耗尽层、阻挡层,这个P 型半导体和 N 型半导体之间形成的区域就叫：PN 结。

#### 2.3.3 扩散运动

#### 2.3.4 漂移运动

PN 结中，P 型半导体和 N 型半导体中的少子在空间电场的作用下的移动叫做漂移运动。

#### 2.3.5 对称结

在构成 PN 结的 P 型半导体和 N 型半导体中，掺杂浓度一样时形成的 PN 结是左右对称的。

但是掺杂浓度不同的情况下，形成的空间电荷区的宽度和 PN 结的左右宽度也就不同，形成的极为不对称结。

### 2.4 PN 结的单向导电性

在 PN 结施加正向电压的时候导通；P 区结电源正极，N 区接电源负极。

外部施加正向电压，导致了外电场削弱了内电场的势垒，从而使 PN 结的扩散运动恢复而导电。

### 2.5 PN 结的伏安特性曲线

### 2.6 PN 结的电流方程

$i = I_{S} (e^{\frac{U}{U_{T}} } - 1)$

$I_{S}$：反向饱和电流

$U_{T}$：温度当量，室温下 $U_{T}$ = 26mV

正常情况下不同材质的二极管导通电压不同：

- Ge 管：0.2V ~ 0.3V
- Si 管：0.6V ~ 0.7V
