# STM32 简介

## 意法半导体公司

---

意法半导体公司 (STMicroelectionics) 是一家国际性的半导体集成组件制造工厂，总部位于瑞士日内瓦。

### 历史

---

&emsp;意法半导体集团在1987年由意大利的 SGS Microelettronica (Società Generale Semiconduttori) 与法国汤姆逊（Thomson）公司的半导体分部 Thomson Semiconducteurs 两家半导体公司合并而成，该公司自1998年5月汤姆逊撤股后由 SGS-THOMSON 更名为意法半导体（STMicroelectronics）。

&emsp;2007年5月22日，ST和英特尔合资成立Numonyx，此新公司合并了ST与英特尔各自的闪存部门。

&emsp;2008年4月10日，ST和恩智浦半导体宣布，成立一个新的合资公司ST-NXP Wireless，集成ST与NXP各自的移动通信部门。此合资公司，ST拥有80%股权，NXP拥有20%股权，于2008年8月20日正式成立。

&emsp;2009年2月10日，ST-NXP Wireless与爱立信手机平台（Ericsson Mobile Platforms）集成，成立ST Ericsson，ST与Ericsson各持有一半股份。

&emsp;2011年，意法半导体宣布与Sant'Anna School of Advanced Studies（圣安娜高级研究学院）建立联合实验室。该实验室将专注于生物机器人、智能系统和微电子领域的研究和创新。过去与圣安娜高级研究学院的合作包括 DustBot，这是一个集成自导航“服务机器人”以进行废物收集的平台。

### 产品团队

---

&emsp;意法半导体由五个产品团队组成，每个团队由数个部门或业务单位组成，每个部门均负责设计、工业化、生产（使用意法半导体的制造工厂）与销售自己的产品，业务透过中央硏发组织与地区的营业部支持。

产品部分为：

* **家用个人通信团队**：消费、多媒体、无线及有线产品
* **存储器产品团队**：独立存储芯片（EEPROM、闪存（NAND与NOR）、串行闪存与智能卡）
* **汽车产品团队**：关系汽车产业的芯片（车身、传动系、安全设备等）
* **微型、功率与模拟团队**：模拟与功率集成电路及单片机
* **电脑周边团队**：电脑周边用芯片（硬盘控制器、打印机等）
* **前端技术与生产**：硏究与开发，该公司总体上拥有16个硏究与开发单位及39个设计与应用中心

## STM32

---

&emsp;STM32是(ST)意法半导体公司基于**ARM Cortex&copy;-M**内核开发的专为要求高性能、低成本、低功耗的嵌入式应用设计的32位微控制器。

## STM32芯片代号解析

---

SMT32芯片型号组成一共有7个部分，命名规则如下。

以**STM32F103RBT6**型号为例。

|序号|代号|含义|
|:---:|:---:|:---:|
|1|STM32|代表ARM Cortex-M内核的32位微控制器|
|2|F|代表芯片的子系列|
|3|103|103代表增强系列|
|4|R|这一位代表引脚数；T代表36脚、C代表48脚、R代表64脚、V代表100脚、Z代表144脚，I代表176脚|
|5|B|这一位代表内嵌Flash容量；6代表32K字节、8代表64K字节、B代表128K字节、C代表256K字节、D代表348K字节、E代表512K字节、G代表1M字节|
|6|T|这一位代表封装；H代表BGA封装、T代表LQFP封装、U代表VFQFPN封装|
|7|6|这一位代表工作温度范围；6代表-40~85$^\circ$C、7代表-40~105$^\circ$C|

## STM32家族主要系列

### 高性能系列

---

=== "STM23F2"

    细则暂无

=== "STM32F4"

    细则暂无

=== "STM32F7"

    细则暂无

=== "STM32H7"

    细则暂无

### 主流系列

---

=== "STM32G0"

    细则暂无

=== "STM32F0"

    细则暂无

=== "STM32F1"

    SMT32F1系列主流MCU满足了工业、医疗和消费市场的各类应用需求。

    该系列包含五个产品线，他们的引脚、外设软件均兼容。

    ??? note "超值型STM32F100   24MHz CPU"

        &emsp;该型号配有多达11个16位定时器，包括一个电机控制定时器和一个快速1.2$\mu s$转换时间12位ADC，用于高效电器控制和工业控制应用。

        &emsp;STM32超值系列基于运行频率高达24MHz的Arm&copy; Cortex&copy;-M3内核，在成本、性能、外设之间取得平衡，它提供了所有必要特性，从而成为开发经济型应用的理想之选。

    ??? note "STM32F101 36MHz CPU"

        &emsp;STM32F101采用了Cortex-M3内核，CPU最高速度达36MHz。该系列产品采用16Kb~1Mb Flash，实现了最佳性价比。

    ??? note "STM32F102 48MHz CPU"

        STM32F102微控制器采用 Arm Cortex-M3内核，CPU最高速度达48MHz。它带有USB全速接口，是一种低成本智能解决方案，面向需要USB的应用。

    ??? note "STM32F013 72MHz CPU"

        STM32F103微控制器采用 Cortex-M3内核，CPU最高速度达72MHz。该产品具有16KB~1MB Flash、多种控制外设，USB全速接口和CAN。

    ??? note "STM32F105/107 72MHz CPU"

        &emsp;STM32F107/107微控制器采用 Cortex-M3内核，CPU最高速度达72MHz。他们面向需要连接功能和实时性能的应用，例如工业控制、安全控制面板、UPS和家用音响。

        该系列具有64~256KB的片上Flash存储器、64KB SRAM和14个通信接口。

=== "STM32F3"

    细则暂无

=== "STM32G4"

    细则暂无

### 超级低功耗系列

---

=== "STM32L0"

    细则暂无

=== "STM32L1"

    细则暂无

=== "STM32L4"

    细则暂无

=== "STM32L5"

    细则暂无

=== "STM32L4+"

    细则暂无

=== "STM32U5"

    细则暂无

### 无线系列

---

=== "STM32WL"

    细则暂无

=== "STM32WB"

    细则暂无

## 资料来源&外部链接

---

* 意法半导体公司: [维基百科 意法半导体](https://zh.wikipedia.org/wiki/%E6%84%8F%E6%B3%95%E5%8D%8A%E5%B0%8E%E9%AB%94)
* 意法半导体公司网站: [公司网站](https://www.st.com/content/st_com/zh.html)