# MPU6050 IMU模块

## MPU6050 简介

MPU6050是一个6轴姿态传感器，可以测量芯片自身X，Y, Z轴的加速度和角速度等参数

## MPU6050 模块引脚定义

* **VCC、DNG**  电源引脚
* **SCL、SDA**  I2C通讯引脚
* **XCL、XDA** 主机I2C通讯引脚
* **AD0** 从机地址最低位
* **INT** 中断信号输出

## STM32 读取MPU6050

### 初始化I2C通讯模块

参考如下资料**I2C总线**篇目进行STM32的I2C总线配置。

### 初始化MPU6050

在操作MPU6050之前，需要配置相关寄存器，让MPU6050可以正常的工作

#### 电源管理寄存器_1

Bit6置0解除MPU6050的睡眠模式，才能对其它寄存器进行操作，选择PLL，内部X轴时钟作为参考，写入**0x01**

``` c++

MPU_WriteReg(MPU_PWR_1,0x01);

```

#### 电源管理寄存器_2

全部置0

``` c++

MPU_WriteReg(MPU_PWR_2,0x00);

```

#### 采样率分频

采样率分频数值越小，速度越快；这里选择十分频，写入**0x09**

``` c++

MPU_WriteReg(MPU_SMPLRT_DIV,0x09);

```

#### 配置寄存器

配置外部同步、数字低通滤波器，写入**0x06**

``` c++

MPU_WriteReg(MPU_CONFIG,0x06);

```

#### 配置传感器最大量程

配置陀螺仪和加速度计为最大量程

``` c++

MPU_WriteReg(MPU_GYRO_CONFIG,0x18);
MPU_WriteReg(MPU_ACCEL_CONFIG,0x18);

```