# USART简介

*USART--Universal Synchronous/Asynchronous Receiver/Transmitter*

*通用同步/异步收发器*

---

&emsp;USART（串口）是一种应用十分广泛的通讯接口，串口成本低廉易于使用、通信线路简单，可以实现两个设备间的互相通信。

&emsp;单片机的串口可以实现单片机与单片机，单片机与电脑，单片机与各样式的外部模块互相通信，极大地拓展了单片机的应用范围。

## 硬件电路

---

USART 串口通信，需要两根通信线（发送端：TX，接收端：RX）

* 其中，发送端和接收端的TX，RX需要交叉连接
* 如果仅需要单向传输数据，则可以仅接一根通信线。
* 如果通信双方引脚电平标准不一致，则需要加电平转换芯片。

<center>
![](https://mass-1300421481.cos.ap-nanjing.myqcloud.com/imgs/%E6%9C%AA%E5%91%BD%E5%90%8D%E7%BB%98%E5%9B%BE.drawio.png)
</center>

&emsp;串口通信中，通信线的高低电平是相对于 GND 而定的，因此串口通信中的 GND 也属于通信线，并且必须要连接。

## 串口参数和时序

---

串口通信，主要有以下几个参数：

* **波特率**： 串口通信的速率。
* **起始位**： 标志着一个数据帧的开始，固定为低电平。
* **数据位**： 数据帧的有效载荷，低位先行。
* **校验位**： 用于数据验证，根据数据为计算得来。
* **终止位**： 用于数据帧的间隔，固定为高电平。

---

![](https://mass-1300421481.cos.ap-nanjing.myqcloud.com/imgs/202403252033117.png)
<center>*串口通信示意图——无奇偶校验*</center>

![](https://mass-1300421481.cos.ap-nanjing.myqcloud.com/imgs/202403252036333.png)
<center>*串口通信示意图——含奇偶校验*</center>