> &emsp;*我也不知道为什么要把这玩意传上来，不过当初写了好久不传上来看着心里难受，排版就不弄了，配图也不见了，看似公式还能正常显示，也许以后可以用到。*

## 多元函数微分

## **多元极限求解**

* 恒等变换

* 洛必达法则

  满足洛必达法则要求式子满足：
  $$
  \frac{\infty}{\infty} 或则 \frac{0}{0}
  $$
  对分母分子同时求导。

* 等价无穷小替换

  ![常用的等价无穷小](F:\Photo\Saved Pictures\等价无穷小公式.jpg)

## **多元函数的一阶偏导数**

​	关于谁求偏导，就将其它变量看作常数。

## **三元函数求偏导**

方法同上。

## **多元抽象函数求偏导**

抽象函数形如：
$$
f(xy,x+2y)
$$
​		将两个元素设为中间变量后运用链式法则求解。
$$
\frac{\partial z}{\partial x} = \frac{\partial z}{u}\cdot\frac{\partial z}{\partial x}+\frac{\partial z}{\partial v}\cdot\frac{\partial z}{\partial x}
$$
​		**链式法则**：**同枝相乘，异枝相加**

## 多元函数求二阶偏导

先求一阶偏导，再求二阶偏导。

## **多元抽象符合函数求二阶偏导**

先求抽象函数的一阶偏导，再求二阶偏导，其中**中间变量**要**保持不变**。

## **多元函数的全微分**

关于**二元函数**：
$$
z = f(x,y)
$$
的全微分：
$$
dz = \frac{\partial z}{\partial x}dx + \frac{\partial z}{\partial y}dy
$$

------

关于**三元函数**：
$$
u = f(x,y,z)
$$
的全微分：
$$
du = \frac{\partial u}{\partial x}dx + \frac{\partial u}{\partial y}dy + \frac{\partial u}{\partial z}dz
$$

## **多元隐函数求偏导**

即三元方式确定二元隐函数，方程两边对x求偏导。

## **多元函数求极值**

多元函数求极值：**一驻、二判**

先求驻点，令：
$$
f_{x}^{'}  (x,y) = 0
$$

$$
f_{y}^{'}  (x,y) = 0
$$

得到驻点（可能不止一个）

再通过公式：
$$
AC-B^2
$$
判断当前驻点是否为极值。

* AC-B^2**大于**零且**A>0**则当前驻点为**极小值**。

* AC-B^2**大于**零且**A<0**则当前驻点为**极大值**。
* AC-B^2**小于**零，则当前驻点**非极值**。

## **条件极值**

条件极值问题：
$$
Z = f(x,y)在条件\varphi(x,y)=0的条件下的极值（最值）
$$
构造**拉格朗日函数**（拉格朗日乘数法）
$$
L(x,y,\lambda) = f(x,y) + \lambda\varphi(x,y)
$$

$$
求驻点，令L_{x}^{'}=0、L_{y}^{'}=0、L_{\lambda}^{'}=0，若唯一则为极大值
$$

否则求出驻点根据公式判断其为极大值或是极小值等。

# 二重积分

## **非圆周区域上的二重积分计算**

即积分区域为一个面，首先需要对积分区域D进行分类：

* x型区域
* y型区域

> x，y型区域与边界线至多有两个交点

* x型区域：**定x穿y**
* y型区域：**定y穿x**

使用**二次积分法**

* $$
  \iint_{D_{x}}f(x,y)dxdy=\int_{a}^{b}dx\int_{y_{1}(x)}^{y_{2}(x)}f(x,y)dy（先y后x结果带入前面的积分中运算）
  $$

* $$
  \iint_{D_{y}}f(x,y)dxdy=\int_{a}^{b}dy\int_{x_{1}(y)}^{x_{2}(y)}f(x,y)dx（先x后y结果带入前面的积分中运算）
  $$

> **一些无法计算的积分**

* $$
  \int\frac{siny}{y}dy
  $$

* $$
  \int\frac{cosy}{y}dy
  $$

* $$
  \int e^{-y^{2}}dy
  $$

* $$
  \int e^{y{2}}dy
  $$

## **与圆周相关区域二重积分的计算**

当被积分区域与圆有关时可以使用**极坐标**进行计算。
$$
\iint_{D}f(x,y)dxdy=\iint_{D}f(rcos\theta,rsin\theta)\cdot rdrd\theta
$$
其中：
$$
\left\{\begin{matrix}
dxdy=rdrd\theta 
 \\x=rcos\theta
 \\y=rsin\theta 

\end{matrix}\right.
$$

$$
确认D区域的范围：定\theta穿r
$$

**换元**带入后转换为三个定积分求解。

# 三重积分

## **投影法求三重积分**（先一后二）

* 当被积函数为z的一元函数时可用此方法。

* 画出草图。

* $$
  用一个平行x0y的平面把\Omega截割：定z穿D_{z}
  $$

* 运用先二后一公式。

## **柱面坐标法求三重积分**（先二后一）

* 当积分区域为圆柱体、圆锥、旋转体的时候，可以使用柱面坐标。
* 画出草图。
* 换元。
* 三次定积分。

## **球坐标法求三重积分**

* 当积分区域为球体的时候，可以使用球坐标法。

* 画出草图。

* 换元。

  * $$
    \left\{\begin{matrix}
    x=rsin\varphi cos\theta 
     \\y=rsin\varphi sin\theta 
     \\z=rcos\varphi 
    
    \end{matrix}\right.
    $$

  * 体积元：
    $$
    dxdydz=r^{2}sin\varphi \cdot drd\varphi d\theta
    $$

* 三次定积分。

# 曲线积分与曲面积分

## **对弧长曲线积分（第一类曲线积分）**

* 画出积分路径L的图。

* 两种公式分别对应L的方程为直角坐标系，L的方程为参数方程。

  * 若L的方程为直角坐标系。
    $$
    y=y(x),a\le x\ge b,则ds=\sqrt{1+y^{'2}}dx
    $$

  * 若L的方程为参数方程。
    $$
    \left\{\begin{matrix}
     x=x(t)
     \\y=y(t)
    
    \end{matrix}\right.
    ,\alpha \le t\gt \beta,则ds=\sqrt{x^{'2}_{t}+y^{'2}_{t}}\cdot dt
    $$

> **如果积分内含有L的方程，则L可以直接带入积分内求解**。

## **对坐标的曲线积分（第二类曲线积分）**

* 第二类曲线积分分为：

  * $$
    \int_{L}^{}P(x,y)dx	（对x轴）
    $$

  * $$
    \int_{L}^{}Q(x,y)dy	（对y轴）
    $$

  * $$
    \int_{L}^{}P(x,y)dx + Q(x,y)dy	（同时对x轴和y轴）
    $$

* 若L的方程为**直角坐标系方程**，则：

  * $$
    \int_{L}^{}P(x,y)dx+Q(x,y)dy = \int_{a}^{b}P(x,y(x))dx+Q(x,y(x))y^{'}(x)dy
    $$

    其中a和b是L的起点和终点。
    $$
    \int_{a}^{b}\left[P+Qy^{'}(x) \right]dx
    $$

* 若L的方程为**参数方程**，则：

  * $$
    \int_{L}P(x,y)dx+Q(x,y)dy=\int_{\alpha}^{\beta}P(x(t),y(t))x^{'}(t)dt+Q(x(t),y(t))y^{'}(t)dt
    $$

    

## 格林公式求第二类曲线积分

当曲线积分为**封闭曲线**的时候可以使用**格林公式**。
$$
\oint_{L}P(x,y)dx+Q(x,y)dy=\pm\iint_{D}(\frac{\partial Q}{\partial x} \frac{\partial P}{\partial y})dxdy
$$
格林公式前的正负号，一般**逆时针**的时候取**正号**，**顺时针**的时候取**负号**。

## 对面积的曲面积分（第一类曲面积分）

对于第一类曲面积分使用**投影法**（一投、二代、三等）

* 把曲面∑投影到恰当的坐标面：

  * $$
    \Sigma \longrightarrow z = (x,y)，则\Sigma投影至x0y平面,ds=\sqrt{1+z^{^2}_{x}+z^{'2}_{y}}\cdot dxdy
    $$

  * $$
    \Sigma \longrightarrow y = (z,x)，则\Sigma投影至x0y平面,ds=\sqrt{1+y^{^2}_{x}+y^{'2}_{z}}\cdot dzdx
    $$

  * $$
    \Sigma \longrightarrow x = (z,y)，则\Sigma投影至x0y平面,ds=\sqrt{1+x^{^2}_{z}+x^{'2}_{y}}\cdot dzdy
    $$

    

* ∑方程带入被积函数。

* 化为二重积分运算。

## 对坐标的曲面积分（第二类曲面积分）

第二类曲面积分为：

* $$
  \iint_{\Sigma}P(x,y,z)dydz
  $$

* $$
  \iint_{\Sigma}Q(x,y,z)dzdx
  $$

* $$
  \iint_{\Sigma}R(x,y,z)dydx
  $$

其中：

* $$
  对\iint_{\Sigma}R(x,y,z)dydx=\pm\iint_{D_{xy}}R(x,y,z(x,y))dxdy
  $$

  ∑取**上侧**的时侯取**正**，取**下侧**的时候取**负**。

* $$
  对\iint_{\Sigma}P(x,y,z)dydz=\pm\iint_{D_{yz}}P(x(x,y),y,z)dydz
  $$

  ∑取**前侧**的时候取**正**，取后侧**的时候取**负**。

* $$
  对\iint_{\Sigma}Q(x,y,z)=\pm\iint_{D_{xz}}Q(,y(x,y),z)dxdz
  $$

  ∑取**右侧**的时候取**正**，取**左侧**的时候取**负**。

## 高斯公式求第二类曲面积分

当空间当中存在封闭曲面，则可用**高斯公式**
$$
\oint\oint_{\Sigma}xdydx+ydzdx+zdxdy=\pm\iiint_{\Omega}(\frac{\partial P}{\partial x}+\frac{\partial Q}{\partial y}+\frac{\partial R}{\partial z})dxdydz
$$

# 无穷级数

无穷级数形如：
$$
\sum_{n=1}^{\infty}n=\infty（结果为无穷，则该级数为发散的）
$$

$$
\sum_{n=1}^{\infty}=L（L为常数，结果为常数时，则该级数为收敛的）
$$

一些无穷级数常用的结论：

* $$
  \lim_{x \to \infty} \sqrt[n]{a}=1
  $$

* $$
  \lim_{x \to \infty}\sqrt[n]{n}=1
  $$

* $$
  \lim_{x \to \infty}\sqrt[n]{n^{2}-3n}=1
  $$

  > 根号下任何多项式，最后的结果都为1。

* $$
  \lim_{x \to \infty}\sqrt[n]{n!}=+\infty
  $$

## 判别正项级数的敛散性

判断正向级数的敛散性常用的方法：

* 比值法

$$
U_{n}=\frac{U_{n}+1}{U_{n}}
$$



* 根值法

$$
U_{n}=\sqrt[n]{U_{n}}
$$

二者结果判别方法如下：

* L < 1：**收敛**
* L > 1：**发散**
* L = 0：**两方法失效**

## 判别交错级数的收敛性

形如如下形式的无穷级数则为交错级数：
$$
\sum_{n=1}^{\infty}(-1)^{n}sin\frac{1}{n}
$$

$$
\sum_{n=1}^{\infty}(-1)^{n+1}sin\frac{1}{n}
$$

对于判断交错级数的收敛性使用**莱布尼茨判别法**
$$
若\lim_{x \to \infty}U_{n} = 0，且数列U_{n}递减，则为收敛的
$$

> 若Um不等于0，则必为发散的。

## 求幂级数的和函数

先求幂级数的收敛域：
$$
\sum_{n=1}^{\infty}a_{n}x^{n} \to R=\lim_{X \to \infty}\left |\frac{a_{n}}{a{_n}+1}\right | (R-收敛半径)
$$

$$
看x=\pm R处的收敛性
$$

$$
设和函数s(x)=\sum_{n=1}^{\infty}a_{n}x^{n}同时求导（或积分），将其化为常规幂级数
$$

$$
最后两边同时求积分（或求导），的s(x)
$$

常见的幂级数：

* $$
  \sum_{n=0}^{\infty}x^{n}=\sum_{n=1}^{\infty}=\frac{1}{1-x}（等比级数=\frac{首项目}{1-公比}）
  $$

* $$
  \sum_{n=1}^{\infty}x^{n}=\frac{x}{1-x}
  $$

* $$
  \sum_{n=0}^{\infty}(-1)^{n}x^{n}=\frac{1}{1+x}
  $$

* $$
  \sum_{n=0}^{\infty}x^{2n}=\frac{1}{1-x^{2}}
  $$

 # 常数线性微分方程

* 齐次：等号右边等于0
* 非齐次：等号右边不等于0

齐次的微分方程通解公式：
$$
y=e^{-\int P(x)dx}[\int Q(x)e^{\int P(x)dx}dx+C]
$$

$$
y=(C_{1}+C_{2}x)e^{nx}
$$