 # 数字电路复习提纲

## 知识点

1. 逻辑代数的基本运算：`逻辑与、逻辑或、逻辑非`
2. 常用的触发器有哪些：`D触发器、JK触发器、T触发器、RS触发器`
3. 理解反演律：*对于任意逻辑式 Y， 若其中所有的“与”换成“或”，“或”换成“与”，0 换成 1, 1 换成 0, 原变量变成反变量，反变量变成原变量，则得到的新逻辑式为 Y 的非。*
4. 门电路使用时需要外接负载电阻和电源的是： `OC 门`
5. 全加器中向高位的进位 $C_{i+1}$ 为 $(A_{i} \oplus C_{i})B_{i}$
6. 组合逻辑电路一般由什么组合而成：`多个逻辑门`
7. 已知函数 F = A'B + CD'，根据反演规律得到的反函数：`F' = (A + B')(C' + D)`
8. n 个变量函数的最小项是每个变量都以原、反变量的形式出现，且仅出现一次。
9. 若对 40 个字符进行二进制代码编码，则至少需要几位二进制：`2 的 6 次方 = 64 并且 2 的 5 次方 = 32 因此为 6 位`
10. 组合逻辑电路和时序组合逻辑电路：*组合逻辑电路的任意时刻的输出仅取决于该时刻的输入，与电路原来的状态无关；时序逻辑电路不仅取决于当前的输入信号，还取决于电路原来的状态。*
11. Y = [(AB' + C)' + D]' + C 的反函数：`Y' = A B' D' + C`
12. 多路选择器的输出端有几个：`1个`
13. 卡诺图上每个小方框代表一个最小项。
14. 设集成十进制加法器的初态为 $Q_{4}Q_{3}Q_{2}Q_{1}$ = 1001, 则经过 n 个 CP 脉冲后计数器的状态：`(9 + n) % 10`
15. 逻辑函数的描述有多种，卡诺图描述是唯一的。
16. 为产生周期性矩形波，应当选用**多谐振荡器**。
17. 已知 $[X]_{原}$ ，真值 X， 求 $[X]_{补}$：`若真值为正数则原码等于补码，若真值为负数则按位取反(除了最高位) 然后 +1`
18. 十进制数 26 用 8421BCD 码表示：`0010 0110`
19. 若实现模 11 计数器，至少需要几个触发器：`4 个触发器`
20. 数字电路分为两大类，分别为`时序逻辑电路`和`组合逻辑电路`。
21. 将触发器的 CP 时钟段连接在一起的时序逻辑电路称之为`同步时序逻辑电路`。
22. 判断一个电路是否可能产生险象：`检查电路的卡诺图、真值表或布尔表达式`
23. 采用奇偶校验进行检错时只能发现奇数位出错的情况，不能发现偶数位出错的情况。
24. 四位论文评审专家审核论文，必须四位专家全部通过才可以，其逻辑关系属于什么逻辑关系：`逻辑与 (AND)`
25. 三态门输出端的三种状态：`高电平、低电平、高阻态`
26. 以下四种转换器，并联比较型，是 A/D 转换器且转换速度最高。
27. 对于 JK 触发器，输入 J = X， K = X, CLK 脉冲后：保持或翻转
28. 已知带符号的二进制值的真值，求原码和补码：`若真值为正数则原码等于补码，若真值为负数则按位取反(除了最高位) 然后 +1`
29. 十进制转二进制：`整数位除二取余从下向上取二进制值，小数位乘二取整数部分从上向下取二进制数值`
30. 时序逻辑电路的输出取决于什么：`当前的输入信号、电路原来的状态、时钟信号`
31. JK 触发器的两个输入端： *将 JK 触发器转换为 T 触发器和 T' 触发器：T = JK 、T' = (JK)' 将 JK 端连接到 T 端即可。*
32. 计数器分类：`根据计数脉冲触发方式分为：同步计数器、异步计数器`；`根据计数器增减方向分为：加法计数器、减法计数器、可逆计数器`
33. Mealy 型和穆尔型时序逻辑电路的输出与什么有关：*Mealy：不仅依赖于当前电路状态还依赖于电路当前的输入信号、穆尔型：输出仅与电路当前的输入有关。*
34. 时序逻辑电路的组成：`存储电路、组合逻辑电路`
35. 集电极开路门 (OC 门) 在使用时须在输出与电源间接一电阻。
36. 某中规模寄存器内有三个触发器，用它构成的扭环型计数器模长为 6；构成最长计数器模长为 7
37. 若实现模 11 计数器，至少需要几个触发器：`4 个触发器`
38. 数字电路分为两大类：`时序逻辑电路、组合逻辑电路`
39. 将触发器的 CP 时钟段连接在一起的时序逻辑电路称之为同步时序逻辑电路。
40. 判断一个电路是否可能产生险象：`检查电路的卡诺图、真值表或布尔表达式`

## 分析

1. JK 触发器的功能、画 CP 作用下 JK 触发器的输出波形。
2. 已知描述某组合电路的逻辑函数表达式为：F = A'C' + A'B + AC，判断其是否会产生险象。
      - *对原逻辑表达式化简得： F = A'(B + C) + AC 根据化简后的逻辑表达式分析其不会产生险象。*
3. 用卡诺图判断 F(A, B, C, D) 和 G(A, B, C, D) 有何关系。
      1. F(A, B, C, D) = B'D' + A'D' + C'D' + ACD'
         - // TODO
      2. G(A, B, C, D) = B'D + CD + A'C'D + ABD
         - // TODO
4. 用卡诺图法把逻辑函数 Y(A, B, C, D) = sigma(m)(0, 1, 2, 4, 12, 14) + sigma(d)(5, 6, 7, 8, 9, 10) 化简为最简与或表达式。
      - `Y = AC + AB' + A'BC + D`
5. 卡诺图法化简：Y = ABC + ABD + C'D' + AB'C + A'CD' + AC'D
      - // TODO
6. 用卡诺图化简法求出 F(A, B, C, D) = BC + D + D'(B' + C')(AD + B) 逻辑函数的最简与或表达式和最简或与表达式。
      - // TODO

## 简答

1. 简述时序逻辑电路与组合逻辑电路的主要区别。

      - *组合逻辑电路的输出仅取决于该时刻的输入，与电路原来的状态无关。*

      - *时序逻辑电路不仅取决于当前的输入信号，还取决于电路原来的状态。*

2. 组合逻辑电路的基本设计方法是什么？

      - `逻辑功能` -> `逻辑真值表` -> `逻辑表达式` -> `化简逻辑表达式` -> `逻辑电路图`

3. 什么是同步逻辑和异步逻辑？

      - *同步逻辑是时钟之间有固定的因果关系。异步逻辑是各时钟之间没有固定的因果关系。*

4. 用代数法求出 F = (A + B + C)(A' + B)(A + B + C') 逻辑函数的最简与或表达式。

      - `Y = AB + BC` 

5. 如果已知：X + Y 和 X + Z 逻辑值相同，且 XY 和 XZ 逻辑值相同，那么 Y = Z 正确吗？为什么？

      - *对于公式 1 ： X + Y = X + Z 在 X = 1 时，无论 X 和 Y 是否相等结果都为 1*
      - *对于公式 2 : XY = XZ 当 X = 0 时，无论 Y 和 Z 取什么值，结果都为 0*
      - *因此，当 X = 1 时，能推断 Y = Z 成立。*

6. 将 0.110101 二进制数转换为十进制数、八进制数和十六进制数。

      - 十进制：`0.828125`
      - 八进制：`0.65`
      - 十六进制：`0.d4`

7. 用逻辑代数的公理、定理和规则证明：ABC + A'B'C = (AB' + BC' + A'C)' 表达式。

      - 根据反演律可得等式右边：`(AB')'(BC')'(A'C)'` -> `(A' + B)(B' + C)(A + C')`
      - 对其进行化简可得：`(A'B' + A'C + BC)(A + C')` -> `AA'B' + AA'C + ABC + A'B'C' + A'CC' + BCC'`
      - 最终可得等式右边为：`ABC + A'B'C'`
      - 由于等式左右相等，所以可证表达成立。

8. 简述最小项的性质。

      - *如果一个具有 n 个变量的函数的项包含全部 n 各变量，每个变量以原变量或反变量的形式作为因子出现，且仅出现一次，则这种与项被成为最小项。*

9.  用逻辑代数的公理、定理和规则证明：(AB + A'C)' = AB' + A'C' 表达式。

      - 根据反演律可得等式左边：`(A' + B')(A + C')`
      - 化简可得：`AA' + AC' + AB' + B'C'` -> `AC' + AB' + B'C'`
      - 由于左右式不相等，因此表达式不成立

10. 用真值表验证 (A' + B')(A + B) = (AB + A'B')' 表达式。



11. 数字逻辑电路有那些主要特点。

      - 二进制数字系统
      - 离散性
      - 可编程性
      - 可靠性

12. 组合电路产生竞争冒险的原因及常用消除竞争冒险的方法。


      - *在组合电路中，当输入信号的状态改变时，输出端可能出现不正常的干扰信号，使电路产生错误的输出，称为**竞争冒险**。
      只要输出端的逻辑函数能在一定条件下能简化成：Y = A + A' 或 Y = AA' 则可出竞争冒险现象。
      解决办法：添加冗余项*

# 大题

1. 熟练使用 3 线 -8 线译码器 74LS138 和门电路实现下列函数
      - F (A, B, C) = B + A'C
      - F (A, B, C) = AB + C

2. 利用集成芯片 74LS138 和与非门实现电路的设计，例如三人表决器，多数同意，少数服从多数，但主裁判独自同意也可以。
3. 组合逻辑电路的设计过程，三人表决器，四人表决器。
4. 掌握时序逻辑电路的分析方法写出其驱动方程、输出方程、状态方程，画出状态转换表、状态转换图、说明其逻辑功能。
5. 用 74LS160 及少量的与非门组成能显示 00 ～ 26 的计数器 (用 $R_{D}'$ 完成)