## MASS版本代码规范总则

&emsp;该文档为MASS版本代码规范，通过该规范产生的版本代码可以清晰明了的指示当前版本号，便于查找版本以及快速从中获取相关信息。

&emsp;所有MASS系统下的版本号都应遵循该版本代码规范。

## 构成
### 版本代码

&emsp;版本代码是一条以数字、大小写字母和相关符号组成的字符串，是简单表示当前版本信息的简短代码。

一个标准的版本代码分为如下部分：

* 前缀码
* 时间戳
* 唯一版本号

### 前缀码

MASS版本代码中的前缀码为两个大写英文字母：**MA**

### 时间戳

时间戳是一串8位的阿拉伯数字，格式为：**YYYYMMDD**

### 唯一版本号

&emsp;首先唯一版本包有一个标注开头，为一个英文单词：**Version**，该单词后的版本数字有三组阿拉伯数字组成，形如：Version0.0.1，在该组合后还包含有一个**唯一版本号状态码**，用于指示当前版本状态，为一位小写的英文字母。

### 唯一版本号状态码

唯一版本号状态码是一位小写的英文字母，用于指示当前版本状态

* a：发布版本，表示这是该迭代的首个版本。

* b：Beta测试版本，表示了该版本为一个不稳定的测试版本，同时可以代表一个未完成的文章或者是一次未完全更新的计划。
* f：阶段性版本，代表当前版本为该迭代的一个阶段性成果，是一个完善的版本。
* e：结束版本，代表当前版本为迭代的最后一个版本，无后续更新。

### [例]

MA20231007Version.0.0.1.b

## MASS内部代码

内部代码的存在方便了项目的内部数据库存储，是一个高效地对项目命名地方法。

### 年份

四位阿拉伯数字：YYYY

### 半年

* 上半年：T
* 下半年：B

### 顺序码

一位大写英文+一位阿拉伯数字：A1