# CAi标准多媒体文件命名规则

## 适用范围与声明

&emsp;此规则是用于碳雨源团队在进行创作的时候用于规范命名工作中产生的多媒体文件。

&emsp;为了更加高效的协同工作，对于从拍摄到剪辑过程中产生的各种文件以及相关的文件管理系统，需要有一个高效且统一的解决办法，即CAi标准多媒体文件命名规则。

## 视频文件命名规范

> 一个标准的视频命名案例如下：

**时间戳 + 机型 + 视频简述 + 分辨率 + 帧率 + 画面比例 + 摄影师 + 卷号 + 场号 + 镜头号 + 次数**

!!! quote "时间戳"

    时间戳用于标记该多媒体文件产生时间，由**8位**阿拉伯数字组成，格式如：YYYYMMDD，8位数字中间无分割符号 [20231105]。

!!! quote "机型"

    不同机型负责拍摄的镜头不同，使用纯阿拉伯数字、下划线、大小写英文字母组成的设备名 [A7M2，A6300]。

!!! quote "视频简述"

    使用中文简短的描述这个文件。

!!! quote "分辨率"

    根据拍摄分辨率书写，由阿拉伯数字与大写英文字母组成 [1080P，2K，4K]。

    > 如果视频制式如1.5K，2.5K等，则直接舍弃点，直接连写成如：15K，25K等即可。

!!! quote "帧率"

    由视频帧率数 + 大写英文字母：**P**组成 [25P，60P，120P]。

!!! quote "画面比例"

    由四位阿拉伯数字组成，其中前两位是长，后两位是宽 [1609，0302，0403]。

!!! quote "摄影师"

    用于标记摄影师。

!!! quote "场号，卷号，镜头号，次数"

    这里参照场记部分解释。

## 图片命名规范

!!! info

    待定。

## 音频命名规范

!!! info

    待定。

## 场记

&emsp;在视频拍摄的过程中，会产生大量的场景，镜头和人物等，为每一个镜头分配一个合适的编号可以大大的降低前后期人员的工作量。

> 通常一个镜头的编号（场号）由如下部分组成：

* 卷号
* 场景号
* 镜头号
* 次数号

### 卷号

&emsp;各种拍摄设备中，负责存储素材的存储卡被称为**卷**，每一张存储卡拥有一个独一无二的**卷号**。
卷号为固定的**一位大写英文字母**和**两位阿拉伯数字**组成，每张存储卡卷号固定不可更改。

其中，卷号前的一位大型英文字母可以帮助快速分辨不同设备的卡：

!!! quote "卷"

    * **C——(Camera)**：各类地面相机
    * **S——(Sport)**：运动相机
    * **F——(Fly)**：无人机

### 场景号

&emsp;在拍摄的过程中，会涉及到不同景别的拍摄，往往会涉及到大量的拍摄地点切换，而每一个拍摄地点的编号即是**场景号**，场号由两位阿拉伯数字组成，顺序分配。

### 镜号

&emsp;同一个场景下可能需要不同的镜头，镜号就是每一个镜头的编号，此编号从01开始分配，由两位阿拉伯数字组成，另外镜号的分配为顺序分配与场号无关。

### 次数号

&emsp;通常同一个镜头可能会拍多次，此时次数号便用于区分，次数号由两位阿拉伯数字组成。