# 代码块

## 添加代码块

> 源代码

```
    ``` c
    #include <stdio.h>

    int main (){
        printf("hello world");
        return 0;
    }
    ```
```

> 实现效果

``` c
#include <stdio.h>
int main (){
    printf("hello world");
    return 0;
}
```

## 代码块标题

> 源代码

```
    ``` c title="main.c"
    #include <stdio.h>

    int main (){
        printf("hello world");
        return 0;
    }
    ```
```

> 实现效果

``` c title="main.c"
#include <stdio.h>
int main (){
    printf("hello world");
    return 0;
}
```

## 带注释的代码块

> 源代码

```
    ``` c
    #include <stdio.h>  // (1)

    int main (){
        printf("hello world");
        return 0;
    }
    ```

    1.  这里是注释
```

> 实现效果

``` c
#include <stdio.h>  // (1)
int main (){
    printf("hello world");
    return 0;
}
```

1.  这里是注释

如果项去除注释字符，则在注释右括号后添加一个：！

> 源代码

```
    ``` c
    #include <stdio.h>  // (1)!

    int main (){
        printf("hello world");
        return 0;
    }
    ```

    1.  这里是注释
```

> 实现效果

``` c
#include <stdio.h>  // (1)!
int main (){
    printf("hello world");
    return 0;
}
```

1.  这里是注释

## 添加行号

> 源代码

```
    ``` c linenums="1"
    #include <stdio.h>

    int main (){
        printf("hello world");
        return 0;
    }
    ```
```

> 实现效果

``` c linenums="1"
#include <stdio.h>
int main (){
    printf("hello world");
    return 0;
}
```

## 突出显示特定行

> 源代码

```
    ``` c hl_lines="4 5"
    #include <stdio.h>

    int main (){
        printf("hello world");
        return 0;
    }
    ```
```

> 实现效果

``` c hl_lines="3 4"
#include <stdio.h>
int main (){
    printf("hello world");
    return 0;
}
```

## 突出显示内联代码块

> 源代码

```
在Python中，该函数用于生成数字序列：`#!python range()`
```

> 实现效果

在Python中，该函数用于生成数字序列：`#!python range()`